
Foreman - Feature #6840

publish a foreman live-cd

07/30/2014 08:52 AM - Ohad Levy

Status: Ready For Testing   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

as a user, I would like to quickly deploy foreman using a live cd

Related issues:

Related to Installer - Feature #7464: add network awareness New

History

#1 - 07/30/2014 09:00 AM - Dominic Cleal

- Category set to Packaging

#2 - 07/30/2014 09:09 AM - Ohad Levy

- translation missing: en.field_release set to 10

#3 - 07/30/2014 09:13 AM - Ohad Levy

- Target version set to 1.7.5

#4 - 08/04/2014 06:57 AM - Dominic Cleal

- translation missing: en.field_release deleted (10)

#5 - 08/21/2014 08:36 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#6 - 09/16/2014 08:28 AM - Ohad Levy

- Target version changed from 1.7.4 to 1.7.3

#7 - 09/16/2014 09:41 AM - Ohad Levy

- Related to Feature #7464: add network awareness added

#8 - 09/30/2014 11:23 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#9 - 10/01/2014 04:56 AM - Lukas Zapletal

- Assignee set to Lukas Zapletal

#10 - 10/01/2014 09:31 AM - Lukas Zapletal

So we discussed this with Marek and it looks like LiveCD without staypuft bits is not much useful today. So I will go ahead, test the build and create a

jenkins job to create the ISO on our infrastructure. This would be first step.

We need staypuft bits because otherwise LiveCD would be without any post-configuration which would only lead to some kind of libvirt-only

environment with all the network preconfigured.

What we could do would be to remove OpenStack bits from the kickstart, preferably making the ks file an ERB template so we can preprocess it
before evaluation. This way we could have a nice Foreman + Staypuft installer iso with Staypuft on-live network post-setup but without OpenStack

things.

Ohad what you think?

#11 - 10/01/2014 09:38 AM - Marek Hulán

I agree that just creating jenkins job that builds foreman+staypuft is a good start. After we finish #7464 we can create pure foreman variant.

#12 - 10/03/2014 09:56 AM - Lukas Zapletal

- Status changed from New to Assigned

Ok running one test run and will move this to Jenkins once it works. As a next step, we could modularize the KS file a bit, maybe using a ERB

templating:

- centos 6 vs 7 support (vs upstream RHEL support)

- xwindow vs non-xwindow version

#13 - 10/09/2014 07:48 AM - Lukas Zapletal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman-live/pull/13

http://ci.theforeman.org/job/packaging_foreman_livecd/

There are some bugs in the image, I will work with Marek to resolve them. Currently its unmodified Staypuft.

#14 - 07/23/2018 11:28 AM - Tomer Brisker

- Target version deleted (1.7.2)
